# Class PseudoDamerauLevenshtein

java.lang.Object
de.calcom.cclib.text.PseudoDamerauLevenshtein

public class PseudoDamerauLevenshtein extends Object
Pseudo-Damerau-Levenshtein (aka "Optimal String Distance") implementation which allows some non-adjacent transpositions(?) Computes the edit distance with insertions/deletions/substitutions/transpositions. Optionally the edit distance of a semi-global alignment is computed which allows the search term to be shifted free-of-cost (i.e. dist("file", "a file is")==0). TODO: use unicode code points instead of chars !!

See Also:
  - "Some properties are explained in the unit test org.freeplane.features.filter.EditDistanceStringMatchingStrategiesTest"

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`PseudoDamerauLevenshtein.Alignment`
`static enum`
`PseudoDamerauLevenshtein.Type`

## Constructor Summary

Constructors
Constructor
Description
`PseudoDamerauLevenshtein()`

## Method Summary

Modifier and Type
Method
Description
`List<PseudoDamerauLevenshtein.Alignment>`
`computeAlignments(double minProb)`
`int`
`distance()`
`void`
`init(String searchTerm, String searchText, boolean subStringMatch, boolean caseSensitive)`
`float`
`matchProb()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PseudoDamerauLevenshtein

public PseudoDamerauLevenshtein()

## Method Details

### distance

public int distance()

### computeAlignments

public List<PseudoDamerauLevenshtein.Alignment> computeAlignments(double minProb)

### matchProb

public float matchProb()

### init

public void init(String searchTerm, String searchText, boolean subStringMatch, boolean caseSensitive)